Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Class OracleGeoRasterResolution

    java.lang.Object
      org.deegree.ogcwebservices.wcs.configuration.AbstractResolution
          org.deegree.ogcwebservices.wcs.configuration.OracleGeoRasterResolution

All Implemented Interfaces:
  Comparable, Resolution

    public class OracleGeoRasterResolution

extends AbstractResolution

models a `Resolution`by describing the assigned coverages through a Oracle 10g Georaster``

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`OracleGeoRasterResolution(double minScale, double maxScale, Range[] ranges, JDBCConnection jdbc, String table, String rdtTable, String column, String identification, int level)`

Method Summary
`String` | `getColumn()` returns the name of the assigned GeoRaster column of the table
`String` | `getIdentification()` returns a SQL where condition to identify the table row/raster instance to access
`JDBCConnection` | `getJDBCConnection()`
`int` | `getLevel()` returns the raster level assigned to a resolution instance
`String` | `getRdtTable()` returns the name of the RDT Table assigned to the GetRaster column
`String` | `getTable()` returns the name of the table storeing the raster data
`void` | `setColumn(String column)`
`void` | `setIdentification(String identification)`
`void` | `setJDBCConnection(JDBCConnection jdbc)`
`void` | `setLevel(int level)`
`void` | `setRdtTable(String rdtTable)`
`void` | `setTable(String table)`
`String` | `toString()` (non-Javadoc)

Methods inherited from class org.deegree.ogcwebservices.wcs.configuration.AbstractResolution
`addRange, compareTo, getMaxScale, getMinScale, getRanges, removeRange, setMaxScale, setMinScale, setRange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OracleGeoRasterResolution

    public OracleGeoRasterResolution(double minScale,
                                     double maxScale,
                                     Range[] ranges,
                                     JDBCConnection jdbc,
                                     String table,
                                     String rdtTable,
                                     String column,
                                     String identification,
                                     int level)
                              throws IllegalArgumentException

Parameters:
  `minScale` -
  `maxScale` -
  `ranges` -
  `jdbc` - descrition of the database connection
  `table` -
  `rdtTable` -
  `column` -
  `identification` -
  `level` -
Throws:
  `IllegalArgumentException`

Method Detail

### getJDBCConnection

    public JDBCConnection getJDBCConnection()

  Returns:
    Returns the shape.

### setJDBCConnection

    public void setJDBCConnection(JDBCConnection jdbc)

  Parameters:
    `jdbc` -

### getTable

    public String getTable()

  returns the name of the table storeing the raster data

  Returns:
    the name of the table storeing the raster data

### setTable

    public void setTable(String table)

  Parameters:
    `table` -
  See Also:
    `getTable()`

### getColumn

    public String getColumn()

  returns the name of the assigned GeoRaster column of the table

  Returns:
    the name of the assigned GeoRaster column of the table

### setColumn

    public void setColumn(String column)

  Parameters:
    `column` -
  See Also:
    `getColumn()`

### getIdentification

    public String getIdentification()

  returns a SQL where condition to identify the table row/raster instance to access

  Returns:
    a SQL where condition to identify the table row/raster instance to access

### setIdentification

    public void setIdentification(String identification)

  Parameters:
    `identification` -
  See Also:
    `getIdentification()`

### getRdtTable

    public String getRdtTable()

  returns the name of the RDT Table assigned to the GetRaster column

  Returns:
    the name of the RDT Table assigned to the GetRaster column

### setRdtTable

    public void setRdtTable(String rdtTable)

  Parameters:
    `rdtTable` -
  See Also:
    `getRdtTable()`

### getLevel

    public int getLevel()

  returns the raster level assigned to a resolution instance

  Returns:
    the raster level assigned to a resolution instance

### setLevel

    public void setLevel(int level)

  Parameters:
    `level` -
  See Also:
    `getLevel()`

### toString

    public String toString()

  (non-Javadoc)

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org